
require 'world'
require 'player'
require 'spikes'
require 'effects'
require 'sound'
require 'cannon'

screen_w = love.graphics.getWidth()
screen_h = love.graphics.getHeight()

restoreCheckPoint = true

function love.load()
	currentLevel = 1
	
	
	world:load(currentLevel)
	player:load()
	world:spawn()
	spikes:load()
	effects:load()
	sound:load()
	cannon:load()
	
	sound:playMusic('music')
	
end

function love.update(dt)

	love.timer.getFPS(dt/60)
	
	print(love.timer.getFPS())

	player:update(dt)
	world:update(dt)
	spikes:update(dt)
	effects:update(dt)
	cannon:update(dt)
	
		if player.xPos + player.w+16 >= world.endWallX and player.xPos <= world.endWallX + 16 and 
		player.yPos + player.h+16 >= world.endWallY and player.yPos <= world.endWallY + 16 then 
		restoreCheckPoint = true
		sound:playMusic("win")
		currentLevel = currentLevel + 1
	end
	
end

function love.draw()
	
	love.graphics.setBackgroundColor(244,244,244)
	
	if restoreCheckPoint then
	
	player:load()
	world:load(currentLevel)
	world:spawn()
	spikes:load()
	effects:load()
	sound:load()
	cannon:load()

	restoreCheckPoint = false
	end
	world:draw()
	effects:draw()
	player:draw()
	spikes:draw()
	cannon:draw()

end
